//<!--
//
// ident "$Id$ SMI"
//
// Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
// Use is subject to license terms.
//

var sessionTableId = "f1:p1:t1";

function initAllRows() {
    var table = document.getElementById(sessionTableId);
    table.initAllRows();
}

function disableActions() {
    var table = document.getElementById(sessionTableId);
    var selections = table.getAllSelectedRowsCount();
    var terminateDisabled = (selections > 0) ? false : true;
    document.getElementById(sessionTableId + ":actionsTop:terminate").setDisabled(terminateDisabled);
}

function filterMenuChanged() {
    var table = document.getElementById(sessionTableId);
    return table.filterMenuChanged();
}

function confirmSelectedRowsForTermination(message) {
    var table = document.getElementById(sessionTableId);
    return table.confirmSelectedRows(message);
}

//-->
